########################################
## Generate transcription profile from table
##
## call with argument fileroot
## for example, R --vanilla < profile.R --args fileroot
## This call will read data from fileroot.tab
## and write the pdf fileroot.pdf
##

args <- commandArgs(TRUE)

fileroot=args[1]

tablefilename <- paste(fileroot,".tab",sep="")
pdffilename <- paste(fileroot,".pdf",sep="")

library(gplots)
t<-read.table(tablefilename)
names<-t[[1]]
x<-as.matrix(t[3:14])

pdf(pdffilename,height=0.1*length(names),width=4.5)

colNames<-
  c("0-2h","2-4h","4-6h","6-8h",
    "8-10h","10-12h","12-14h","14-16h",
    "16-18h","18-20h","20-22h","22-24h");

heatmap.2(x/(x+1e-16),Colv=NA,labCol=colNames,
          labRow=names,col=c("black","green"),trace="none",margins=c(3.75,8),key=F,
          lmat=rbind( c(4, 3), c(2,1) ), lhei=c(0.1, 10) ,lwid=c(5,10),cexRow=0.75,cexCoxl=0.9,dendrogram="none")
dev.off()
